/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AutorizacionDAO;
import com.rjconsultores.ventaboletos.entidad.Autorizacion;

/**
 *
 * @author Administrador
 */
@Repository("autorizacionDAO")
public class AutorizacionHibernateDAO extends GenericHibernateDAO<Autorizacion, Integer>
        implements AutorizacionDAO {

    @Autowired
    public AutorizacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<Autorizacion> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("nombautorizacion"));

        return c.list();
    }
    
    public List<Autorizacion> buscar(String nombautorizacion, String descautorizacion) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("nombautorizacion", nombautorizacion));
        c.add(Restrictions.eq("descautorizacion", descautorizacion));

        return c.list();
    }
}
